### Hierarchy

- InjectedTypes

## Index

### Properties

- paramList
- propertyList

### Methods

- getParamList
- getPropertyList

## Properties

### Static paramList

paramList: object

- Defined in src/di/Inject.ts:9

#### Type declaration

- ##### [key: string]: Array<object>

### Static propertyList

propertyList: object

- Defined in src/di/Inject.ts:13

#### Type declaration

- ##### [key: string]: IPropertyTypes

## Methods

### Static getParamList

- getParamList(key: any, typeKey1: any): Array<object>

- - Defined in src/di/Inject.ts:17

  #### Parameters

  - ##### key: any

  - ##### typeKey1: any

  #### Returns Array<object>

### Static getPropertyList

- getPropertyList(key: any, typeKey1: any): IPropertyTypes

- - Defined in src/di/Inject.ts:38

  #### Parameters

  - ##### key: any

  - ##### typeKey1: any

  #### Returns IPropertyTypes

Generated using TypeDoc